- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Matrixf File Reference

`#include <osg/Object>`
`#include <osg/Vec3f>`
`#include <osg/Vec3d>`
`#include <osg/Vec4f>`
`#include <osg/Vec4d>`
`#include <osg/Quat>`
`#include <string.h>`
`#include <ostream>`
`#include <algorithm>`

Include dependency graph for Matrixf:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Matrixf
class | osg::RefMatrixf
## Defines
#define | OSG_MATRIXF 1
## Functions
Vec3f | osg::operator * (const Vec3f &v, const Matrixf &m)
Vec3d | osg::operator * (const Vec3d &v, const Matrixf &m)
Vec4f | osg::operator * (const Vec4f &v, const Matrixf &m)
Vec4d | osg::operator * (const Vec4d &v, const Matrixf &m)
std::ostream & | osg::operator<< (std::ostream &os, const Matrixf &m)

## Define Documentation

#define OSG_MATRIXF 1